Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class DoubleKeyHashMap

    java.lang.Object
      org.codehaus.groovy.reflection.ComplexKeyHashMap
          org.codehaus.groovy.reflection.DoubleKeyHashMap

    public class DoubleKeyHashMap

extends ComplexKeyHashMap

Nested Class Summary
`static class` | `DoubleKeyHashMap.Entry`

Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.ComplexKeyHashMap
`ComplexKeyHashMap.EntryIterator`

Field Summary

Fields inherited from class org.codehaus.groovy.reflection.ComplexKeyHashMap
`DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

Constructor Summary
`DoubleKeyHashMap()`

Method Summary
`boolean` | `checkEquals(ComplexKeyHashMap.Entry e, Object key1, Object key2)`
`DoubleKeyHashMap.Entry` | `createEntry()`
`Object` | `get(Object key1, Object key2)`
`DoubleKeyHashMap.Entry` | `getOrPut(Object key1, Object key2)`
`ComplexKeyHashMap.Entry` | `remove(Object key1, Object key2)`

Methods inherited from class org.codehaus.groovy.reflection.ComplexKeyHashMap
`clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleKeyHashMap

    public DoubleKeyHashMap()

Method Detail

### get

    public final Object get(Object key1,
                            Object key2)

### checkEquals

    public boolean checkEquals(ComplexKeyHashMap.Entry e,
                               Object key1,
                               Object key2)

### getOrPut

    public DoubleKeyHashMap.Entry getOrPut(Object key1,
                                           Object key2)

### createEntry

    public DoubleKeyHashMap.Entry createEntry()

### remove

    public final ComplexKeyHashMap.Entry remove(Object key1,
                                                Object key2)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD